# gdcm::ByteSwapFilter Class Reference

ByteSwapFilter In place byte-swapping of a dataset FIXME: FL status ?? More...

`#include <gdcmByteSwapFilter.h>`

Collaboration diagram for gdcm::ByteSwapFilter:
[legend]

List of all members.

## Public Member Functions
| ByteSwapFilter (DataSet &ds)
| ~ByteSwapFilter ()
bool | ByteSwap ()
void | SetByteSwapTag (bool b)

## Detailed Description

ByteSwapFilter In place byte-swapping of a dataset FIXME: FL status ??

## Constructor & Destructor Documentation

gdcm::ByteSwapFilter::ByteSwapFilter | ( | DataSet & | ds | ) | `[inline]`

gdcm::ByteSwapFilter::~ByteSwapFilter | ( |  | ) |

## Member Function Documentation

bool gdcm::ByteSwapFilter::ByteSwap | ( |  | ) |

void gdcm::ByteSwapFilter::SetByteSwapTag | ( | bool | b | ) | `[inline]`

The documentation for this class was generated from the following file:

- gdcmByteSwapFilter.h